package sentry

import "errors"

type Config struct {
	Dsn        string
	ServerName string
}

func (c Config) validate() error {
	if c.Dsn == "" {
		return errors.New("sentry DNS is required")
	}

	if c.ServerName == "" {
		return errors.New("sentry SERVER_NAME is required")
	}

	return nil
}
